'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _index = require('./index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * ListViewRow wraps the ListViewItem row, conditionally renders sections
 * based on availability of individual props, maintains the ListItem row structure
 */
var ListViewRow = function ListViewRow(_ref) {
  var actions = _ref.actions,
      additionalInfo = _ref.additionalInfo,
      checkboxInput = _ref.checkboxInput,
      leftContent = _ref.leftContent,
      heading = _ref.heading,
      description = _ref.description;
  return _react2.default.createElement(
    'div',
    { style: { display: 'flex', flex: 1 } },
    checkboxInput && _react2.default.createElement(
      _index.ListViewCheckbox,
      null,
      checkboxInput
    ),
    actions && _react2.default.createElement(
      _index.ListViewActions,
      null,
      actions
    ),
    _react2.default.createElement(
      _index.ListViewMainInfo,
      null,
      leftContent && _react2.default.createElement(
        _index.ListViewLeft,
        null,
        leftContent
      ),
      _react2.default.createElement(
        _index.ListViewBody,
        null,
        (heading || description) && _react2.default.createElement(
          _index.ListViewDescription,
          null,
          heading && _react2.default.createElement(
            _index.ListViewDescriptionHeading,
            null,
            heading
          ),
          description && _react2.default.createElement(
            _index.ListViewDescriptionText,
            null,
            description
          )
        ),
        additionalInfo && _react2.default.createElement(
          _index.ListViewAdditionalInfo,
          null,
          additionalInfo
        )
      )
    )
  );
};

ListViewRow.propTypes = {
  /** Node which renders right-positioned actions (e.g. Buttons, DropdownKebab...) */
  actions: _propTypes2.default.node,
  /** An array of ListViewInfoItem instances to render additional info items */
  additionalInfo: _propTypes2.default.arrayOf(_propTypes2.default.node),
  /** Contents of ListViewItem description section */
  description: _propTypes2.default.node,
  /** Contents of ListViewItem heading */
  heading: _propTypes2.default.node,
  /** Contents for left section of ListViewItem (usually ListViewIcon) */
  leftContent: _propTypes2.default.node,
  /** Checkbox form input component */
  checkboxInput: _propTypes2.default.node
};
exports.default = ListViewRow;